Get token launch
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/token-launch \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/token-launch"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/token-launch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"name": "<string>",
"symbol": "<string>",
"description": "<string>",
"image": "<string>",
"tokenMint": "<string>",
"status": "PRE_LAUNCH",
"bagsConfigType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"telegram": "<string>",
"twitter": "<string>",
"website": "<string>",
"launchWallet": "<string>",
"launchSignature": "<string>",
"accountKeys": [
"<string>"
],
"numRequiredSigners": 123,
"creatorFeeBps": 123,
"uri": "<string>",
"dbcPoolKey": "<string>",
"dbcConfigKey": "<string>",
"dammV2PoolKey": "<string>",
"launchType": "<string>",
"quoteMint": "<string>",
"dammV2TreasuryPositionNftMint": "<string>",
"dammV2FeeClaimerPositionNftMint": "<string>",
"feeClaimerWallet": "<string>",
"dammV2LookupTable": "<string>",
"dammV2PositionCustody": "<string>",
"dammV2CustodyAuthority": "<string>",
"dammV2Partner": "<string>",
"dammV2Deployer": "<string>",
"dammV2DeployerFeeCollectionMode": 123,
"dammV2DeployerPlatformBps": 123,
"dammV2DeployerClaimersBps": 123
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Token Launch
Get Token Launch
Retrieve a single token launch record by its token mint.
GET
/
token-launch
Get token launch
Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Base58 public key of the token mint
⌘I
